org.apache.commons.io.filefilter

## Class CanReadFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.CanReadFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class CanReadFileFilter
    extends AbstractFileFilter
    implements Serializable

This filter accepts `File`s that can be read.

Example, showing how to print out a list of the current directory's readable files:

     File dir = new File(".");
     String[] files = dir.list( CanReadFileFilter.CAN_READ );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Example, showing how to print out a list of the current directory's un-readable files:

     File dir = new File(".");
     String[] files = dir.list( CanReadFileFilter.CANNOT_READ );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Example, showing how to print out a list of the current directory's read-only files:

     File dir = new File(".");
     String[] files = dir.list( CanReadFileFilter.READ_ONLY );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  1.3
Version:
  $Id$
See Also:
  Serialized Form

### Field Summary

Fields
`static IOFileFilter` `CAN_READ` Singleton instance of readable filter
`static IOFileFilter` `CANNOT_READ` Singleton instance of not readable filter
`static IOFileFilter` `READ_ONLY` Singleton instance of read-only filter

### Constructor Summary

Constructors
`protected` `CanReadFileFilter()` Restrictive constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(File file)` Checks to see if the file can be read.

### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

`accept, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CAN_READ

    public static final IOFileFilter CAN_READ

Singleton instance of readable filter

#### CANNOT_READ

    public static final IOFileFilter CANNOT_READ

Singleton instance of not readable filter

#### READ_ONLY

    public static final IOFileFilter READ_ONLY

Singleton instance of read-only filter

### Constructor Detail

#### CanReadFileFilter

    protected CanReadFileFilter()

Restrictive constructor.

### Method Detail

#### accept

    public boolean accept(File file)

Checks to see if the file can be read.

Specified by:
  `accept` in interface `FileFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `file` - the File to check.
Returns:
  `true` if the file can be read, otherwise `false`.